CUPS del server crea duplicati delle stampanti sui client
Description

ciao Paolo,

mi € capitato di creare una stampante sul server ed assegnarla ad un CLUSTER.

Ho poi cancellato la stampante perché avevevo provato ad associare un driver che poi si € rilevato non funzionante.

Ho dimenticato di dissociare la stampante dal cluster.

Quando ho reinstallato sul server la stessa stampante col driver correto, poi sui client mi trovavo sempre 2 stampanti (quella creata
col driver corretto e quella FANTASMA, la traccia di quella precedente che ovviamente non funziona)

Sul server perd di quella stampante ne vedo solo una (CUPS per intenderci).+

Anche ricancellandola e ricreandola rimane lo stesso problema e non capisco come poter ovviare

Questa mia dimenticanza ora mi € costato il fatto che su ogni PC del cluster viene continuamente vista una "doppia stampante” (di
cui una non funzionante). Provare per credere!!

CHIEDO:

1. Come poter intanto risolvere questo problema.

2. Se Octonfuss (credo sia lui il responsabile) possa non ripetere questo pasticcio quando il tecnico (o il referente) si dimentica di
dissociare la stampante al cluster.

Grazie
Andrea

Associated revisions

Revision 89a403e2 - 07/25/2018 04:05 PM - Mark Caglienzi
Add a printer removal from the client. refs #12376 #566

Revision 6bb31ae0 - 07/25/2018 04:06 PM - Mark Caglienzi
Add a log entry also here. refs #12376 #566

Revision ca80a6d4 - 07/26/2018 12:46 PM - Mark Caglienzi

Comment the added code, as there are other priorities at the moment. refs #12376 #566

Revision 841ac560 - 07/26/2018 03:21 PM - Simone Piccardi

Using hostname (and not FQDN) for hosts related query towards the
server (octofussd), refs #566.

Revision bf750d17 - 07/27/2018 03:03 PM - Mark Caglienzi
Add forms.py for the form_class. refs #12376 #566

Revision faec5b7d - 07/27/2018 03:04 PM - Mark Caglienzi
Add new Cleanup view and its template. refs #12376 #566

Revision 8ab87d54 - 07/27/2018 03:05 PM - Mark Caglienzi
Add url for the new Cleanup view. refs #12376 #566

Revision 47c9ebfa - 07/27/2018 03:05 PM - Mark Caglienzi

05/21/2024 1/5




Show the link for the new Cleanup view in the printers navbar. refs #12376 #566

Revision 622386ed - 07/27/2018 03:26 PM - Mark Caglienzi
Packaging work for 0.2.36-1. refs #12376 #566

Revision ce135ecd - 07/30/2018 03:46 PM - Mark Caglienzi

Comment this return. Explanation in the comment. refs #12376 #566

Revision f0495f08 - 07/30/2018 03:46 PM - Mark Caglienzi
Better message. refs #12376 #566

Revision 1788438e - 07/30/2018 03:47 PM - Mark Caglienzi

Add a dict to save also the configuration urls for the printers. refs #12376 #566

Revision 6803dce9 - 07/30/2018 03:48 PM - Mark Caglienzi

Save the queue names and the configuration urls. refs #12376 #566

Revision 41260e6e - 07/30/2018 03:49 PM - Mark Caglienzi
Typo. refs #12376 #566

Revision 7b996077 - 07/30/2018 04:02 PM - Mark Caglienzi

Do the actual removal of the printers that are local to the client, but with an url containing the fuss-server's IP. refs #12376 #566

Revision 7b825572 - 07/30/2018 04:21 PM - Mark Caglienzi
Packaging work for 9.0.2-1. refs #12376 #566

History

#1 - 07/17/2018 01:58 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Simone Piccardi

#2 - 07/23/2018 07:36 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Andrea Padovan

Ho fatto diverse prove ma non riesco a riprodurlo.
Quando elimino una stampante da CUPS i client non la vedono piu. Ci deve essere qualche passo che mi sfugge, mi potresti elencare dei passi per
cui il problema si riproduce o mettermi in grado di vedere le configurazioni su un client che presenta il problema?

#3 - 07/24/2018 08:56 PM - Paolo Dongilli
- File Istantanea_2018-07-24_20-48-19.png added

- Assignee changed from Andrea Padovan to Simone Piccardi

Confermo quanto riporta Andrea. Nello screenshot che allego si vedono le stampanti attualmente configurate sul server (hp ed Ix3), correttamente
riportate in OctoNet ed attribuite a tutti i client di un cluster.

Prima della creazione di Ix3 avevo creato e cancellato lexmark, Ix ed Ix2 che continuano a riproporsi nei client nella finestra di gestione delle
stampanti come stampanti remote e sono ovviamente presenti nel file /etc/cups/printers.conf.

#4 - 07/25/2018 09:39 AM - Simone Piccardi
- Assignee changed from Simone Piccardi to Paolo Dongilli

Si pud avere un esempio di printer.conf sbagliato?

Servirebbe anche un elenco dettagliato dei singoli passi fatti, a partire da quello che si imposta con CUPS sul server in fase di creazione della
stampante.

#5 - 07/25/2018 11:16 AM - Paolo Dongilli
- File configurazione-stampante.pdf added

- Assignee changed from Paolo Dongilli to Simone Piccardi

Ho descritto tutta la procedura seguita nel PDF allegato.

#6 - 07/25/2018 07:59 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Paolo Dongilli

Il mio controllo iniziale era sbagliato, il mio server aveva abilitato la pubblicazione diretta via CUPS delle stampanti per questo funzionava
direttamente.

Comunque (sentendo Christopher) ho ricostruito i termini del problema. Mi ha detto che a suo tempo una dei requisiti era che da octofuss non
venissero toccate eventuali stampanti installate localmente sui client (per esempio la stampante installata sul client del docente). Questo significa che
una volta che una stampante & stata definita su un client non viene tolta da octofuss, che non gestisce la rimozione delle stampanti dai client ma solo
l'aggiunta.

Si pud far si che octofuss-client assegni ad un client solo le stampanti definite sul server e rimuova tutte le altre, ma va a cozzare con il requisito
precedente.

Comunque si possono rimuovere manualmente le code configurate sui client usando clusterssh sul server per eseguirvi sopra Ipadmin -x nomecoda,
cosa che consente di risolvere la situazione contingente in maniera rapida.

#7 - 07/26/2018 12:46 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Andrea Padovan

Simone Piccardi ha scritto:

Comunque si possono rimuovere manualmente le code configurate sui client usando clusterssh sul server per eseguirvi sopra Ipadmin -x
nomecoda, cosa che consente di risolvere la situazione contingente in maniera rapida.

Grazie Simone. Soluzione semplice e rapida. Mi piace!

Dobbiamo ricordarci di documentare il requisito e la decisione presa a suo tempo.

Inoltro ad Andrea per la chiusura aggiungendo un comando per avere I'elenco delle code presenti sul client prima e dopo I'esecuzione di Ipadmin -x
nomecoda:

lpstat -v | awk '{print $3}' | sed s'/.$//"'
#8 - 07/26/2018 05:10 PM - Simone Piccardi

- Assignee changed from Andrea Padovan to Paolo Dongilli

E' stata pubblicata la versione 9.0.0-1 di octofuss-client, che risolve un problema di propagazione delle configurazioni verso i client.

#9 - 07/27/2018 05:49 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Simone Piccardi
Testata la versione 9.0.1 di octofuss-client. La propagazione avviene correttamente ora.
Testata anche la funzionalita di cleaning su octonet. OK.

Resta la modifica a octofuss-client per rimuovere le stampanti configurate che fanno riferimento a code del fuss server non presenti fra quelle
effettivamente presenti nel server.

#10 - 07/30/2018 10:06 AM - Simone Piccardi

- Assignee changed from Simone Piccardi to Mark Caglienzi

Paolo Dongilli ha scritto:

Testata la versione 9.0.1 di octofuss-client. La propagazione avviene correttamente ora.
Testata anche la funzionalita di cleaning su octonet. OK.

Resta la modifica a octofuss-client per rimuovere le stampanti configurate che fanno riferimento a code del fuss server non presenti fra quelle
effettivamente presenti nel server.

Questa parte & in corso di realizzazione, lascio a Mark

#11 - 07/31/2018 03:11 PM - Mark Caglienzi
- Status changed from Nuovo to Commenti

- Assignee changed from Mark Caglienzi to Andrea Padovan

Ho pacchettizzato e fatto l'upload di octofuss-client 9.0.2-1, che dovrebbe risolvere anche il problema della rimozione delle stampanti configurate che
fanno riferimento a code del fuss server non presenti fra quelle effettivamente presenti nel server.

#12 - 08/02/2018 01:32 AM - Paolo Dongilli

Verificata anche la corretta rimozione dai client di stampanti non piu esistenti sul server.
A te Andrea la chiusura della issue.

#13 - 08/07/2018 05:58 PM - Andrea Padovan
- Assignee changed from Andrea Padovan to RIPARTIZIONE 9
no riesco piu a seguire i ticket.
Per Paolo Dongilli: vedi mail appena mandata. grazie. Andrea

#14 - 08/08/2018 10:29 AM - Paolo Dongilli
- Status changed from Commenti to Risolto

- Assignee changed from RIPARTIZIONE 9 to Paolo Dongilli

Chiudo pertanto io il ticket in quanto il collaudo € avvenuto con successo a seguito dell'aggiornamento di octonet sul server ed octofuss-client sui
client.

Files
